from django.urls import path
from django.views.generic import TemplateView

from . import views

app_name = "module_notification"

urlpatterns = [

    path("notification/", views.NotificationView.as_view(), name="notification"),
    path("notification/add/", views.NotificationCreateOrUpdateView.as_view(), name="notification_add"),
    path("notification/edit/<int:pk>", views.NotificationCreateOrUpdateView.as_view(), name="notification_edit"),
    path("notification/list/", views.NotificationListJsonView.as_view(), name="notification_list"),
    path("notification/action/", views.NotificationActionView.as_view(), name="notification_action"),
    path("notification/archive/list/", views.NotificationArchiveView.as_view(), name="notification_archive"),
    path("notification/send/", views.NotificationSendView.as_view(), name="notification_send"),

]
